package com.czg.controller;

import com.czg.account.entity.ShopUser;
import com.czg.account.service.ShopInfoService;
import com.czg.account.service.ShopUserFlowService;
import com.czg.account.service.ShopUserService;
import com.czg.account.service.TestService;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author GYJoker
 */
@RestController
@RequestMapping("/test")
public class TestController {
    @Resource
    private ShopUserFlowService shopUserFlowService;
    @Resource
    private ShopInfoService shopInfoService;
    @Resource
    private ShopUserService shopUserService;
    @Resource
    private TestService testService;

    @RequestMapping("/hello")
    public String hello() {
        shopUserFlowService.list().forEach(item -> {
            ShopUser shopUserInfo = shopUserService.getShopUserInfo(item.getShopId(), item.getUserId());
            if (shopUserInfo != null) {
                item.setShopUserId(shopUserInfo.getId());
                shopUserFlowService.updateById(item);
            }
        });
//        return testService.insertData();
        return "";
    }
}
